• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers
Exit
Locked
25

"Direct X 11.0 available; feature level 12.0 required"

Community Beginner ,
May 24, 2023 May 24, 2023

Copy link to clipboard

Copied

I am using the latest version of Photoshop beta on my computer. Every time I open the programme, I get the warning "feature level 11.0 available; feature level 12.0 required". All updates of my graphics card and computer are complete. I still can't understand why I'm getting this warning. I would like you to help.

 

{Edited the thread by the moderator}

TOPICS
Windows

Views

104.8K

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct answer

Community Expert , May 24, 2023 May 24, 2023

Your GPU does not support DirectX version 12, which is the current requirement. It only supports DirectX 11.

 

Votes

Translate

Translate
Adobe
New Here ,
Aug 04, 2023 Aug 04, 2023

Copy link to clipboard

Copied

I was having the PhotoShop (24.7) brush lag issue on my Wacom MobileStudio 16 with an Nvidia Quadro 600M.  After following many of the ideas here and updating my drivers, I noticed that my card supported DirectX 12 features under the dxdiag Display tab.  But, under the Render tab it only supported 11 features. Which is why I'm got the "feature level 12 required" error in Photoshop.

dxdiag render.PNG

But... that was not the lag problem.   

Turns out it was one simple check box in Photoshop.

Edit>Preferences>Technology Previews.  Check "Deactivate Native Canvas".

deactivate native canvas.PNG

Which, after spending hours trying everything else, was the last thing I tried.

 

 

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Sep 13, 2023 Sep 13, 2023

Copy link to clipboard

Copied

So now I can't use Photoshop without buying a new laptop? It won't even let me open the old versions of Photoshop that don't require this. That's coercion to purchase new hardware that I can't afford.

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Sep 13, 2023 Sep 13, 2023

Copy link to clipboard

Copied

LATEST

Hi @Nicholas5C21 older versions should run without this requirement. If you can't open an application it may not be related to this. Can you start a new thread explaining your situatuon and give needed details such as Photoshop Version, OS version, RAM, GPU(s), available HD space, etc.

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines